<?php
//
$SYS_FOC="Nom";//Primer control en recibir el focus
//
$Nom=V($_POST['Nom']);
$Hab=V($_POST['Hab']);
$Foto = V($_FILES['Foto']['name']);
//
$LIMPIAR=0;
//
//ACTIVAR DESDE OTRA PAGINA
if(strlen($StrId)==0){
	$StrId=V($_GET['Id']);
	if(is_numeric($StrId)==false){
		$StrId="";
	}else{
		$StrCmd="AR";
		$LStrPag=V($_GET['Pag']);
		if(!is_numeric($LStrPag)){
			$LStrPag="";
		}
	}
}
//FUNCION PARA ACTIVAR UN REGISTRO
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("marcas","id_mar=$Id");
	$Nom=$r['mar_nom'];
	$Hab=$r['mar_hab'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
//
}
//
function ImgG($Nom){
	$Fot=$_FILES[$Nom]['name'];
	if(strlen($Fot)>0){
		$FN="mar_".time().".jpg";
		$FX="adjuntos/".$FN;
		//
		if(file_exists($FX)){
			unlink($FX);
		}
		if(move_uploaded_file($_FILES[$Nom]['tmp_name'], $FX)){
			return $FN;
		}else{
			return "";
		}
	}
}
//
if($StrCmd=="G"){
	$PX=gn("count(*)","marcas","mar_nom='$Nom'");
	if($PX>0){
		$SYS_MSG="Marca ya registrada";
	}else{
		$FILE="";
		$Id=GenId("id_mar","marcas");
		$s="INSERT INTO marcas 
			VALUES ($Id,'$Nom','$FILE','$Hab')";
		ejt($s);
		//
		if(strlen($Foto)>0){
			$FN=ImgG("Foto");
			if(strlen($FN)>0){
				$s="UPDATE marcas 
					SET mar_archivo='$FN' 
					WHERE id_mar=$Id";
				ejt($s);
			}
		}
		//			
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="M"){
	$PX=gn("count(*)","marcas","mar_nom='$Nom' AND id_mar<>$StrId");
	if($PX>0){
		$SYS_MSG="Marca ya registrada";
	}else{
		$FILE="";		
		$s="UPDATE marcas 
			SET mar_nom='$Nom',mar_hab='$Hab'
			WHERE id_mar=$StrId";
		ejt($s);
		//
		if(strlen($Foto)>0){
			$FN=ImgG("Foto");
			if(strlen($FN)>0){
				$s="UPDATE marcas 
					SET mar_archivo='$FN' 
					WHERE id_mar=$StrId";
				ejt($s);
			}
		}
		//			
		$SYS_MSG="Datos actualizados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){		
	$FN=gs("mar_archivo","marcas","id_mar=$StrId");
	if(strlen($FN)>0){
		$FX="adjuntos/".$FN;
		if(file_exists($FX)){
			unlink($FN);
		}
	}
	$s="DELETE FROM marcas WHERE id_mar=$StrId";
	ejt($s);
	$SYS_MSG="Datos eliminados";
	$LIMPIAR=1;	
}
//
if($StrCmd=="EF"){
	//$FActual=ImgA("fotos/pro".$StrId);
	//ImgE($FActual);
}	
//
if($LIMPIAR==1){
	$StrId="";
	$Nom="";
	$Hab="";
}
?>
